Proof
Cryptographic proofs for verification
Get cryptographic proof of validator attestations for an entry
Path parameters
entry_hashstringRequired
Entry hash (Base58 encoded)
Responses
200
Validator proof
application/json
objectOptional
get/api/proof/validators/{entry_hash}
GET /api/proof/validators/{entry_hash} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
Validator proof
{}Get cryptographic proof for a contract state key
Path parameters
keystringRequired
Contract state key (Base58 encoded)
Responses
200
State proof
application/json
objectOptional
get/api/proof/contractstate/{key}
GET /api/proof/contractstate/{key} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
State proof
{}Get cryptographic proof for a contract state key-value pair
Path parameters
keystringRequired
Contract state key (Base58 encoded)
valuestringRequired
Expected value (Base58 encoded)
Responses
200
State proof
application/json
objectOptional
get/api/proof/contractstate/{key}/{value}
GET /api/proof/contractstate/{key}/{value} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
State proof
{}Get cryptographic proof for contract state using vecpak encoding
Body
string · binaryOptional
Vecpak encoded map with fields:
- key: State key (bytes)
- value: Optional expected value (bytes)
Responses
200
State proof
application/json
objectOptional
post/api/proof/contractstate
POST /api/proof/contractstate HTTP/1.1
Host: nodes.amadeus.bot
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8
"binary"200
State proof
{}Last updated